Bug 14817 - Encoding issues in columns.def
Summary: Encoding issues in columns.def
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11944
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 14:02 UTC by Jonathan Druart
Modified: 2016-06-21 21:40 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14817: Fix encoding issues in columns.def (945 bytes, patch)
2015-09-14 14:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14817: (follow-up) Fix encoding issues in columns.def (1.11 KB, patch)
2015-09-16 08:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14817: Fix encoding issues in columns.def (1001 bytes, patch)
2015-09-16 10:32 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 14817: (follow-up) Fix encoding issues in columns.def (1.16 KB, patch)
2015-09-16 10:32 UTC, Josef Moravec
Details | Diff | Splinter Review
[PASSED QA] Bug 14817: Fix encoding issues in columns.def (1.05 KB, patch)
2015-09-19 06:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 14817: (follow-up) Fix encoding issues in columns.def (1.23 KB, patch)
2015-09-19 06:18 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-09-14 14:02:40 UTC
The columns.def file is not opened using the utf-8 encoding.
Comment 1 Jonathan Druart 2015-09-14 14:04:07 UTC Comment hidden (obsolete)
Comment 2 Josef Moravec 2015-09-16 06:36:58 UTC
The patch works as expected for me, but there is another place to fix: 

https://github.com/Koha-Community/Koha/blob/master/C4/Reports/Guided.pm#L875

And there is used this routine from Reports::Guided

https://github.com/Koha-Community/Koha/blob/master/tools/inventory.pl#L37
https://github.com/Koha-Community/Koha/blob/master/tools/inventory.pl#L374
Comment 3 Jonathan Druart 2015-09-16 08:27:15 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-09-16 08:28:00 UTC
Thanks for the catch Josef, I haven't checked this area I thought it called the same subroutine.
Comment 5 Josef Moravec 2015-09-16 10:32:54 UTC Comment hidden (obsolete)
Comment 6 Josef Moravec 2015-09-16 10:32:59 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2015-09-19 06:17:55 UTC
Created attachment 42713 [details] [review]
[PASSED QA] Bug 14817: Fix encoding issues in columns.def

Test plan:
1/ Use a translated template (fr-FR or ar-Arab)
2/ Go on the tools/import_patrons.pl page
3/ The field names in the "default values" block should be correctly
encoded.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2015-09-19 06:18:16 UTC
Created attachment 42714 [details] [review]
[PASSED QA] Bug 14817: (follow-up) Fix encoding issues in columns.def

Follow-up for reports.

Test plan:
1/ Use a translated template (fr-FR or ar-Arab)
2/ Go on the report guided page, step 3
3/ The field names should be correctly encoded.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Tomás Cohen Arazi 2015-09-25 14:56:17 UTC
Patches pushed to master.

Thanks Jonathan!